NX Open C++ Reference Guide
|
Represents a Trim Post builder
To create a new instance of this class, use Tooling::AutoDieCollection::CreateDieDesignTrimPostBuilder
Created in NX9.0.0.
More...
Public Member Functions | |
NXOpen::Plane * | BasePlane () |
Returns the base plane used to create Trim Post Created in NX9.0.0. | |
double | BeltThickness () |
Returns the belt thickness parameter of Trim Post section Created in NX9.0.0. | |
NXOpen::Section * | BoundaryCurves () |
Returns the boundary curves used to create Trim Post Created in NX9.0.0. | |
NXOpen::Direction * | CamDirection () |
Returns the cam direction used to create Trim Post Created in NX9.0.0. | |
double | CAMRelief () |
Returns the cam relief parameter of Trim Post section Created in NX9.0.0. | |
double | MachineAllowance () |
Returns the machine allowance used to rough offset product sheet Created in NX9.0.0. | |
NXOpen::SelectBody * | Product () |
Returns the product selection Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | Profiles () |
Returns the trim profiles used to create Trim Post Created in NX9.0.0. | |
bool | ProfilesDirection () |
Returns the trim profiles direction used to determine which side the Trim Post will be built, is true in the direction and false in the opposite direction Created in NX9.0.0. | |
void | SeedPointInfo (const std::vector< double > &seedPoint, const std::vector< double > &seedTangent) |
Sets seed point information. | |
void | SetBasePlane (NXOpen::Plane *basePlane) |
Sets the base plane used to create Trim Post Created in NX9.0.0. | |
void | SetBeltThickness (double beltThickness) |
Sets the belt thickness parameter of Trim Post section Created in NX9.0.0. | |
void | SetCamDirection (NXOpen::Direction *camDirection) |
Sets the cam direction used to create Trim Post Created in NX9.0.0. | |
void | SetCAMRelief (double camRelief) |
Sets the cam relief parameter of Trim Post section Created in NX9.0.0. | |
void | SetMachineAllowance (double machineAllowance) |
Sets the machine allowance used to rough offset product sheet Created in NX9.0.0. | |
void | SetProfilesDirection (bool profilesDirection) |
Sets the trim profiles direction used to determine which side the Trim Post will be built, is true in the direction and false in the opposite direction Created in NX9.0.0. | |
void | SetUseApproxSheetBody (bool useExtractSheetBody) |
Sets the option to use the original sheet body or the rough offset sheet instead. | |
bool | UseApproxSheetBody () |
Returns the option to use the original sheet body or the rough offset sheet instead. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Trim Post builder
To create a new instance of this class, use Tooling::AutoDieCollection::CreateDieDesignTrimPostBuilder
Created in NX9.0.0.
NXOpen::Plane* NXOpen::Tooling::DieDesignTrimPostBuilder::BasePlane | ( | ) |
Returns the base plane used to create Trim Post
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignTrimPostBuilder::BeltThickness | ( | ) |
Returns the belt thickness parameter of Trim Post section
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Section* NXOpen::Tooling::DieDesignTrimPostBuilder::BoundaryCurves | ( | ) |
Returns the boundary curves used to create Trim Post
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Direction* NXOpen::Tooling::DieDesignTrimPostBuilder::CamDirection | ( | ) |
Returns the cam direction used to create Trim Post
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignTrimPostBuilder::CAMRelief | ( | ) |
Returns the cam relief parameter of Trim Post section
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignTrimPostBuilder::MachineAllowance | ( | ) |
Returns the machine allowance used to rough offset product sheet
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::SelectBody* NXOpen::Tooling::DieDesignTrimPostBuilder::Product | ( | ) |
Returns the product selection
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::SelectNXObjectList* NXOpen::Tooling::DieDesignTrimPostBuilder::Profiles | ( | ) |
Returns the trim profiles used to create Trim Post
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Tooling::DieDesignTrimPostBuilder::ProfilesDirection | ( | ) |
Returns the trim profiles direction used to determine which side the Trim Post will be built, is true in the direction and false in the opposite direction
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Tooling::DieDesignTrimPostBuilder::SeedPointInfo | ( | const std::vector< double > & | seedPoint, |
const std::vector< double > & | seedTangent | ||
) |
Sets seed point information.
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
seedPoint | seedpoint |
seedTangent | seedtangent |
void NXOpen::Tooling::DieDesignTrimPostBuilder::SetBasePlane | ( | NXOpen::Plane * | basePlane | ) |
Sets the base plane used to create Trim Post
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
basePlane | baseplane |
void NXOpen::Tooling::DieDesignTrimPostBuilder::SetBeltThickness | ( | double | beltThickness | ) |
Sets the belt thickness parameter of Trim Post section
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
beltThickness | beltthickness |
void NXOpen::Tooling::DieDesignTrimPostBuilder::SetCamDirection | ( | NXOpen::Direction * | camDirection | ) |
Sets the cam direction used to create Trim Post
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
camDirection | camdirection |
void NXOpen::Tooling::DieDesignTrimPostBuilder::SetCAMRelief | ( | double | camRelief | ) |
Sets the cam relief parameter of Trim Post section
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
camRelief | camrelief |
void NXOpen::Tooling::DieDesignTrimPostBuilder::SetMachineAllowance | ( | double | machineAllowance | ) |
Sets the machine allowance used to rough offset product sheet
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
machineAllowance | machineallowance |
void NXOpen::Tooling::DieDesignTrimPostBuilder::SetProfilesDirection | ( | bool | profilesDirection | ) |
Sets the trim profiles direction used to determine which side the Trim Post will be built, is true in the direction and false in the opposite direction
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
profilesDirection | profilesdirection |
void NXOpen::Tooling::DieDesignTrimPostBuilder::SetUseApproxSheetBody | ( | bool | useExtractSheetBody | ) |
Sets the option to use the original sheet body or the rough offset sheet instead.
The original sheet body is the user specified product body, which will be used to create the trim post features. When value is true, the original sheet body will be used, when value is false, the rough offset sheet will be used.
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
useExtractSheetBody | useextractsheetbody |
bool NXOpen::Tooling::DieDesignTrimPostBuilder::UseApproxSheetBody | ( | ) |
Returns the option to use the original sheet body or the rough offset sheet instead.
The original sheet body is the user specified product body, which will be used to create the trim post features. When value is true, the original sheet body will be used, when value is false, the rough offset sheet will be used.
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")